<?php

namespace App\Model\Entities\GameData\Mmorpg;

use App\Model\Entities\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="profession_assignment")
 */
class ProfessionAssignment extends BaseEntity
{
    /**
     * @ORM\Column(type="integer")
     */
    protected $currentSkill;

    /**
     * @var Character
     * @ORM\ManyToOne(targetEntity="Character", inversedBy="professions")
     */
    protected $character;

    /**
     * @var Profession
     * @ORM\ManyToOne(targetEntity="Profession")
     */
    protected $profession;

    /**
     * @return int
     */
    public function getCurrentSkill() : int
    {
        return $this->currentSkill;
    }

    /**
     * @param int $currentSkill
     */
    public function setCurrentSkill(int $currentSkill)
    {
        $this->currentSkill = $currentSkill;
    }

    /**
     * @return Character
     */
    public function getCharacter() :  Character
    {
        return $this->character;
    }

    /**
     * @param Character $character
     */
    public function setCharacter(Character $character)
    {
        $this->character = $character;
    }

    /**
     * @return Profession
     */
    public function getProfession() : Profession
    {
        return $this->profession;
    }

    /**
     * @param Profession $profession
     */
    public function setProfession(Profession $profession)
    {
        $this->profession = $profession;
    }
}